<!-- ======= LISTADO CON: EXPORT Y PAGINADOR ======= -->
{% extends 'core/base-tables.html' %}

{% block content %}

  <main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
      <div class="container-fluid">
        <div class="row justify-content-center">
          <div class="col-xl-10 d-flex align-items-center">
            <div class="col-md-12 text-left" data-aos="fade-up">
              <h2>{{ titulo }}</h2>
              <a href="{{ url_for('Home.index') }}">Inicio</a>
              <i class="icofont-curved-right"></i>Administración
              <i class="icofont-curved-right"></i>Ejes
            </div>
          </div>
        </div>
      </div>
    </section><!-- End Breadcrumbs -->

    <!-- ======= Table-List Section ======= -->
    <section id="list" class="list section-bg">
      <div class="container-fluid">
        <div class="row justify-content-center">
          <div class="col-xl-10 d-flex entries">
            <div class="col-md-12 text-left" data-aos="fade-up">

              <div id="toolbar">
                <span>
                  <a id="new" class="new btn-primary animate__animated animate__fadeInUp" 
                      href="#modalEdit" title="Nuevo" data-toggle="modal">
                    <span><i class="icofont-plus"></i> Eje</span>
                  </a>
                </span>
              </div>

              {% if (datos|count > 0) %}
              <table id="table" class="table table-striped"
                data-toggle="table"
                data-search="true"
                data-search-highlight="true"
                data-show-refresh="true"
                data-show-columns="true"
                data-show-export="true"
                data-pagination="true"
                data-click-to-select="true"
                data-toolbar="#toolbar"
                data-page-list="[10, 25, 50, 100, all]">
                <thead>
                  <tr>
                    <th data-field="codigo" data-align="center" data-sortable="true">Código</th>
                    <th data-field="nombre" data-align="left" data-sortable="true">Nombre</th>
                    <th data-field="descripcion" data-align="left">Descripción</th>
                    <th data-field="operate" data-align="center" data-formatter="actionsFormatter" data-events="window.actionsEvents">Acciones</th>
                  </tr>
                </thead>          
              </table>
              {% else %}
              <p><br>No se encontraron Ejes.</p>
              {% endif %}
            </div>
          </div>
        </div>
      </div>
    </section><!-- End Table-List Section -->

  </main><!-- End #main -->

  <!-- Modal New/Edit HTML -->
  {% include 'admin/ejes/editar.html' %}

{% endblock %}


{% block scripts %}
  <script>
    var $table = $('#table')
    var $new = $('#new')

    function actionsFormatter(value, row, index) {
      const codigo = JSON.stringify(row.codigo).replaceAll('"','');
      const nombre = JSON.stringify(row.nombre).replaceAll('"','');
      const url = "{{url_for('Criterios.list_criterios')}}" + '?eje=' + codigo;
      return [
        '<a class="list" href="' + url + '" title="Asignar Criterios">',
        '<i class="bx bxs-bookmarks"></i>',
        '</a>',
        '<a class="edit" href="#modalEdit" title="Editar" data-toggle="modal">',
        '<i class="bx bxs-pencil"></i>',
        '</a>',
        '<a class="delete" href="#modalDelete" title="Borrar" data-toggle="modal">',
        '<i class="bx bxs-trash-alt"></i>',
        '</a>'
      ].join('')
    }

    window.actionsEvents = {
      'click .edit': function (e, value, row, index) {
        document.getElementById('formEdit').action="{{url_for('Ejes.action_eje')}}" + '?dbAction=update';
        document.getElementById('titleEdit').innerHTML = 'Editar Eje';
        document.getElementById('Codigo').value = JSON.stringify(row.codigo).replaceAll('"','');
        document.getElementById('Codigo').readOnly = true;
        document.getElementById('CodigoField').hidden = true;
        document.getElementById('Nombre').value = JSON.stringify(row.nombre).replaceAll('"','');
        document.getElementById('Descripcion').value = JSON.stringify(row.descripcion).replaceAll('"','');
      },
      'click .delete': function (e, value, row, index) {
        const msg = 'Se eliminará el eje:<br><i>' + JSON.stringify(row.nombre).replaceAll('"','') + '</i>';
        const url = "{{url_for('Ejes.delete_eje')}}" + '?codigo=' + JSON.parse(row.codigo);
        document.getElementById('titleDelete').innerHTML = 'Borrar Eje';
        document.getElementById('msgDelete').innerHTML = msg;
        document.getElementById('formDelete').action = url;
      }
    }

    $.extend($.fn.bootstrapTable.defaults.icons, {
      refresh: 'icofont-refresh',
      columns: 'icofont-navigation-menu',
      export: 'icofont-download'
    });

    $(function() {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: 'all',
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        locale: 'es-ES',
        data: {{datos|tojson}}
      });

      // New record
      $new.click(function () {
        document.getElementById('formEdit').action="{{url_for('Ejes.action_eje')}}" + '?dbAction=create';
        document.getElementById('titleEdit').innerHTML = 'Crear Eje';
        document.getElementById('Codigo').value = null;
        document.getElementById('Codigo').required = false;
        document.getElementById('CodigoField').hidden = true;
        document.getElementById('Nombre').value = '';
        document.getElementById('Descripcion').value = '';
      })
    })

  </script>
  
{% endblock %}
